<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
//include("DFJQUERY.inc");
include("DF80000.php");
include("JQUERY.inc");
$kjo=0;
$numPun=0;
$sbt=0;
$p=0;
$q=0;
$nk=0;
$dfg=0;
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script type="text/javascript" language="JavaScript1.2" src="RSSCRIPT.js"></script>
<script language="javascript">
        $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='cat_tarifas_DS.php';
	var idObjDes='des_ope';
	var idObjCve='id_ope';
        var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete({ //Des
	    source:pagRes,	
            minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
		 select: function( event, ui ) {
                      $("#"+idObjCve).val(ui.item.id);
                      $("#"+idObjDes).val(ui.item.descripcion);	
//		$('#fcodgrupo').focus()
//               javascript: document.getElementById('frm1').submit();
                }
	});	
	
});
     $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
        var pagRes='cat_tarifas_DS.php';
	var idObjDes='des_ope';
	var idObjCve='id_ope'; 
	var nomObjRad='tip_bus_ope';
	$("#"+idObjCve).autocomplete( {
            source:pagRes,
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		                 //ancho del cuadro de despliegue
		 delay: 200,           //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
                           select: function( event, ui ) {
                      $("#"+idObjCve).val(ui.item.id);
                      $("#"+idObjDes).val(ui.item.descripcion);		
//                      $('#fcodgrupo').focus();
//		javascript: document.getElementById('frm1').submit();
            }
    });	
    
}); 
//$(document).ready(function(){
//	function formatItem(row) {
//		return " (<strong>" + row[1] + "</strong>)"+row[0];
//	}
//	$("#des_ope").autocomplete('cat_tarifas_DS.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_ope").autocomplete('cat_tarifas_DS.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
//		formatResult:function(row){  //formato de seleccion de busqueda
//			return row[1];
//		},	                        
//		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_ope").result(function(event, data, formatted){
//		$('#des_ope').val(data[0]);
//		$('#des_ope').focus();
//	});	
//	$("#des_ope").result(function(event, data, formatted){
//		$('#id_ope').val(data[1]);
//	});	
//	$("input[@name=tip_bus]").click(function(){
//		$('#des_ope').setOptions({
//			extraParams:{
//				tipBus:getValRadChe('tip_bus')
//			}
//		});
//	});
//});
function openWindow(dataGen,valores){
	var objDate=new Date();
	var getVars,getVarsAux,distPage;
	var idVentana;
	for(getVarsAux in valores){
		getVars +='&'+getVarsAux+'='+valores['getVarsAux'];
	}
	if(typeof dataGen.width=='undefined') dataGen.width='800';
	if(typeof dataGen.height=='undefined') dataGen.height='600';
	distPage='?tmr='+objDate.getHours()+objDate.getMinutes()+objDate.getSeconds()+objDate.getDay()+objDate.getMonth()+objDate.getFullYear();
	idVentana=window.open(dataGen.action+distPage+getVars,dataGen.name,'width='+dataGen.width+',height='+dataGen.height+',top=100,left=50,scrollbars=yes,menubar=no,status=no');
	return idVentana;
}

</script>

<style type="text/css">
<!--
.Estilo33 {color: #FFFFFF; font-weight: bold; font-size: 14px; text-align: center; font-family: Arial, Helvetica, sans-serif; }
#tableDetail {background-color:#F8F8F8;
}
.Estilo34 {
	font-size: 18px;
	font-weight: bold;
}
-->
</style>
<body>
<?php

/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2><div align="center">!!! SELECCIONA UN REGISTRO...  !!!</div></h2>';
	echo '<meta content="1; url=cat_tarifas_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/

/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/

$bModPri=false;				//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)

$id_enc=(isset($_REQUEST["bot"]))?$_REQUEST["bot"]:""; 	//Id de Encabezado

$id_det=(isset($_POST['bot_det']))?$_POST['bot_det']:"";	//Id de Detalle (si se selecciono alguno)
/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('DI21100_CL.php');
$dataEnc['idInvent']=$id_enc;
$dataDet['idInvent']=$id_enc;
$dataDet['idInvend']=$id_det;
//echo "DETALLE: $dataDet['idInvend']";
//$encInv = new EncFac($dataEnc);
//$detInv = new DetFac($dataDet);
/************************************************************/

/*Recuperar Información de Encabezado y la coloca en los objetos HTML*/
//$res=$encInv->busReg();
$dt_encinv=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM ftarifas WHERE n_reg='".$id_enc."'"));
$_REQUEST['id_prod']=$dt_encinv['gclave'];
if(!isset($dt_encinv['fnumcto']))$dt_encinv['fnumcto']="";
$_REQUEST['des_prod']=$dt_encinv['fnumcto'];
if(!isset($dt_encinv['cclave']))$dt_encinv['cclave']="";
$_REQUEST['fec_prod']=$dt_encinv['cclave'];
if(!isset($dt_encinv['gdescrip']))$dt_encinv['gdescrip']="";
$_REQUEST['fac_prod']=$dt_encinv['gdescrip'];
if(!isset($dt_encinv['almacen']))$dt_encinv['almacen']="";
$_REQUEST['tip_prod']=$dt_encinv['almacen'];
if(!isset($dt_encinv['n_reg']))$dt_encinv['n_reg']="";
$_REQUEST['n_reg']=$dt_encinv['n_reg'];
if(!isset($dt_encinv['gfecfin']))$dt_encinv['gfecfin']="";
$_REQUEST['invmin']=chfecha($dt_encinv['gfecfin'],'Y-m-d','d/m/Y');
$_REQUEST['invmax']=chfecha($dt_encinv['gfecfin'],'Y-m-d','d/m/Y');
if(!isset($dt_encinv['gfecini']))$dt_encinv['gfecini']="";
$_REQUEST['codigo']=chfecha($dt_encinv['gfecini'],'Y-m-d','d/m/Y');
/******************************************************************/

/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['DI21100_AGDET'])){
    if(!isset($dt_encinv['idTasIva']))$dt_encinv['idTasIva']="";
	$_REQUEST['id_iva']  =$dt_encinv['idTasIva'];
}
/************************************************/

/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if(isset($_POST['agregar'])){
	//codigo agregar  solo guarda el id del producto
	$dataDet['idInventDet']=$_POST['id_ope'];
	if(!isset($_POST['cantidad']))$_POST['cantidad']="";
	$dataDet['canProd']=$_POST['cantidad'];
	$dataDet['subtotal']=$_POST['costo'];
	if(!isset($_POST['total']))$_POST['total']="";
	$dataDet['tolProd']=$_POST['total'];
	if(!isset($_POST['toldes']))$_POST['toldes']="";
	$dataDet['desProd']=$_POST['toldes'];
	if(!isset($_POST['ivatotalotal']))$_POST['ivatotal']="";
	$dataDet['TotalProd']=$_POST['ivatotal'];
	if(!isset($_POST['proteina']))$_POST['proteina']="";
	$dataDet['proProd']=$_POST['proteina'];
	if(!isset($_POST['lipido']))$_POST['lipido']="";
	$dataDet['lipProd']=$_POST['lipido'];
	if(!isset($_POST['carbo']))$_POST['carbo']="";
	$dataDet['carProd']=$_POST['carbo'];
	if(!isset($_POST['kcal']))$_POST['kcal']="";
	$dataDet['kcalProd']=$_POST['kcal'];
	if(!isset($_POST['calcio']))$_POST['calcio']="";
	$dataDet['calProd']=$_POST['calcio'];
	if(!isset($_POST['rfc']))$_POST['rfc']="";
	$dataDet['sodProd']=$_POST['rfc'];
	if(!isset($_POST['potasio']))$_POST['potasio']="";
	$dataDet['potProd']=$_POST['potasio'];
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
		$rs=mysqli_query($con ,"INSERT INTO ftarifad SET nparte1='".$dataDet['idInvent']."', nparte1_det='".$dataDet['idInventDet']."', can_Ref='".$dataDet['canProd']."', costo='".$dataDet['subtotal']."', toldes='".$dataDet['desProd']."', total='".$dataDet['tolProd']."', ivatotal='".$dataDet['TotalProd']."', proteina='".$dataDet['proProd']."', potasio='".$dataDet['potProd']."', usuario='".$_SESSION['usuario']."', acc_fec=CURDATE(), acc_hor=CURTIME()");
	if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';
		$_REQUEST['costo']='';
		$_REQUEST['total']='';	
		$_REQUEST['toldes']='';	
		$_REQUEST['ivatotal']='';
		$_REQUEST['proteina']='';
		$_REQUEST['lipido']='';
		$_REQUEST['carbo']='';
		$_REQUEST['kcal']='';
		$_REQUEST['calcio']='';
		$_REQUEST['rfc']='';
		$_REQUEST['potasio']='';         //  nombre del campo....		
	}
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_invendMod=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM ftarifad WHERE id_invend='".$dataDet['idInvend']."'"));
	$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus09 WHERE n_reg='".$dt_invendMod['bot_det']."'"));
	$_REQUEST['id_ope']=$dt_invendMod['nparte1_det'];
	$_REQUEST['des_ope']=$auxInvent['descripcion'];	
	$_REQUEST['cantidad']=$dt_invendMod['can_ref'];
	$_REQUEST['costo']=$dt_invendMod['costo'];
	$_REQUEST['total']=$dt_invendMod['total'];
	$_REQUEST['toldes']=$dt_invendMod['toldes'];
	$_REQUEST['ivatotal']=$dt_invendMod['ivatotal'];
	$_REQUEST['proteina']=$dt_invendMod['proteina'];
//        if(!isset($dt_invendMod['lipido']))$dt_invendMod['lipido']="";
	$_REQUEST['lipido']=isset($dt_invendMod['lipido'])?$dt_invendMod['lipido']:"";
//        if(!isset($dt_invendMod['carbo']))$dt_invendMod['carbo']="";
	$_REQUEST['carbo']=isset($dt_invendMod['carbo'])?$dt_invendMod['carbo']:"";
//        if(!isset($dt_invendMod['calorias']))$dt_invendMod['calorias']="";
	$_REQUEST['kcal']=isset($dt_invendMod['calorias'])?$dt_invendMod['calorias']:"";
//        if(!isset($dt_invendMod['calcio']))$dt_invendMod['calcio']="";
	$_REQUEST['calcio']=isset($dt_invendMod['calcio'])?$dt_invendMod['calcio']:"";
//        if(!isset($dt_invendMod['sodio']))$dt_invendMod['sodio']="";
	$_REQUEST['rfc']=isset($dt_invendMod['sodio'])?$dt_invendMod['sodio']:"";
	$_REQUEST['potasio']=$dt_invendMod['potasio'];            //izquierda. nombre del campo---->derecha. nombre de la variable.
	$bSel=$_POST['bot_det'];
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=mysqli_query($con ,"DELETE FROM ftarifad WHERE id_invend='".$dataDet['idInvend']."'");
}
elseif(isset($_POST['modificarReg'])){
	$dataDet['idInventDet']=$_POST['id_ope'];
	$dataDet['canProd']=$_POST['cantidad'];
	$dataDet['subtotal']=$_POST['costo'];
	$dataDet['tolProd']=$_POST['total'];
	$dataDet['desProd']=$_POST['toldes'];
	$dataDet['TotalProd']=$_POST['ivatotal'];
	$dataDet['proProd']=$_POST['proteina'];
	$dataDet['lipProd']=$_POST['lipido'];
	$dataDet['carProd']=$_POST['carbo'];
	$dataDet['kcalProd']=$_POST['kcal'];
	$dataDet['calProd']=$_POST['calcio'];
	$dataDet['sodProd']=$_POST['rfc'];
	$dataDet['potProd']=$_POST['potasio'];
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
	$rs=mysqli_query($con ,$sq="UPDATE  ftarifad SET nparte1_det='".$dataDet['idInventDet']."', can_ref='".$dataDet['canProd']."', costo='".$dataDet['subtotal']."', total='".$dataDet['tolProd']."', ivatotal='".$dataDet['TotalProd']."', toldes='".$dataDet['desProd']."', proteina='".$dataDet['proProd']."', potasio='".$dataDet['potProd']."', usuario='".$_SESSION['usuario']."', acc_fec=CURDATE(), acc_hor=CURTIME() WHERE id_invend='$bSel'");
	//echo $sq;
	$bMod=false;
	$bSel='';
	if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';
		$_REQUEST['costo']='';
		$_REQUEST['total']='';	
		$_REQUEST['toldes']='';		
		$_REQUEST['ivatotal']='';
		$_REQUEST['proteina']='';
		$_REQUEST['lipido']='';
		$_REQUEST['carbo']='';
		$_REQUEST['kcal']='';
		$_REQUEST['calcio']='';
		$_REQUEST['rfc']='';
		$_REQUEST['potasio']='';			
	}
}elseif(isset($_POST['terminarCaptura'])){
$d=mysqli_query($con ,"select sum(costo) as total from ftarifad where nparte1='".$id_enc."' ");
$suma=mysqli_fetch_array($d);
//echo $suma['total'];
		$ssql = "UPDATE ftarifas SET gtotal='".$suma["total"]."' WHERE n_reg='".$id_enc."'";
		mysqli_query($con ,$ssql);
		echo '<meta content="0; url=cat_tarifas_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
if(!isset($rs))$rs="";
if($rs){
	//$encInv->resetData($detInv->getTotFac());
	//$encInv->actTotFac();
}
/****************************************************************/

/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=mysqli_query($con ,"SELECT * FROM ftarifad WHERE nparte1='".$dataEnc['idInvent']."'");

/*************************************************************/
?>
 
<form name="frm1" id="frm1" method="post" action="" enctype="multipart/form-data">
<input type="hidden" name="DI21100_AGDET" id="DI21100_AGDET" value="DI21100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<?php
 echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<?php
 echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<?php
 echo $bMod;?>">

  <table align="center">
    <tr>
      <th colspan="4" class=\"titulo\"><div align="center">TARIFAS INDIVIDUALES/PAQUETES </div></th>
    </tr>
    <tr>
      <th width="114"><strong>CLAVE</strong></th>
      <td width="274" style="#A15E8D"><input name="id_prod" type="text" tabindex="1" value="<?php
 echo $_REQUEST['id_prod']?>" size="15" readonly/>      </td>
    </tr>
    
    <tr>
      <th><strong>DESCRIPCION</strong></th>
      <td style="#A15E8D"><input name="fac_prod" type="text" tabindex="1" value="<?php
 echo $_REQUEST['fac_prod']?>" size="40" readonly/></td>
    </tr>
    <tr>
      <th><strong>FECHA INICIAL</strong></th>
      <td style="#A15E8D"><label>
        <input name="codigo" type="text" class="emplea datefrom" id="codigo" size="12" value="<?php
 echo $_REQUEST['codigo']?>">
      </label>        <strong>.</strong></td>
    </tr>
    <tr>
      <th><strong>FECHA TERMINAL</strong></th>
      <td style="#A15E8D"><input name="inmax" class="emplea dateto" type="text" id="inmax" size="12" value="<?php
 echo $_REQUEST['invmax']?>"></td>
    </tr>
    <tr>
      <th><strong>TEMPORADA</strong></th>
      <td style="#A15E8D"><input name="fec_prod" type="text" tabindex="1" value="<?php
 echo $_REQUEST['fec_prod']?>" size="25" readonly/></td>
    </tr>
  </table>
  <table width="946" align="center">
    <tr style="#F2F2F2">
      <th width="646" nowrap style="#E9E9E9"><label><strong>DESCRIPCION</strong>
          <input name="id_ope" type="text" id="id_ope" size="10" value="<?php
echo trim((isset($_REQUEST['id_ope']))?$_REQUEST['id_ope']:"" );?>">
        </label>
          <label></label>
          <label>
		  
          <input name="des_ope" type="text" id="des_ope" size="50" value="<?php
 echo trim((isset($_REQUEST['des_ope']))?$_REQUEST['des_ope']:"" );?>">
          <!--input name="?32" type="button" onClick="
	  	openWindow(
		{
			action:'tar_CO.php',
			width:700,
			height:350
		},{
			val:'id_ope',
			des:'des_ope'
		})" value="Buscar Cargo" -->
          <input name="tip_bus_ope" type="radio" value="c">
          <strong>Cve</strong>
          <input name="tip_bus_ope" type="radio" value="d" checked>
      <strong>Des</strong></label></th>
      <th width="284" nowrap style="#E9E9E9">CARGO <span class="Estilo34">$
        <input name="costo" type="text" id="costo" onKeyUp="sumaTex()" size="10" value="<?php
 echo trim((isset($_REQUEST['costo']))?$_REQUEST['costo']:"" );?>">
        <?php

		  	if($bMod){
				echo ' <input name="modificarReg" type="submit" id="modificarReg" value="Modificar" class="original">';
			}else{
				echo ' <input name="agregar" type="submit" id="agregar" value="Agregar" class="bot_WsW">';
			}
		  ?>
      </span></th>
    </tr>
  </table>
 
  <table width="360" border="0" align="center" id="tableDetail">
    <tr style="#E9E9E9">
      <th colspan="9"><div align="center">
          <?php

			if(!$bMod){
				echo '  <input name="eliminar" type="submit" id="eliminar" value="Eliminar" class="bot_RjR">
          				<input name="modificar" type="submit" id="modificar" value="Modificar" class="original">';
			}else{
				echo ' <input name="eliminar" disabled type="submit" id="eliminar" value="Eliminar" class="bot_RjR">';
			}
		?>
      </div></th>
    </tr>
    <tr style="#999999">
      <th width="26" nowrap ><span class="Estilo33">SEL</span></th>
      <th width="45" nowrap class="Estilo33">CLAVE</th>
      <th width="192" nowrap><span class="Estilo33">DESCRIPCON /CARGO</span></th>
	  <th width="69" nowrap><span class="Estilo33">CARGOS </span></th>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_invend=mysqli_fetch_array($sq_detfac)){
			$contador++;
			$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus09 WHERE n_reg='".$dt_invend['nparte1_det']."'"));
			if($dt_invend['id_invend']!=$bSel){// nparte1, np_desc son de la table farticulos
				echo'<tr>
					<td class="detailRowTable"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_invend['id_invend'].'">
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$auxInvent['pclave'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$auxInvent['descripcion'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_invend['costo'],2,'.',',').'&nbsp;
					</div></td>
					</tr>';
                               $varn=(isset($auxInvent['num_pun']))?$auxInvent['num_pun']:"";
					$numPun +=$varn;
					$sbt = $sbt + $dt_invend['toldes'];
					$p = $p + $dt_invend['total'];
					$q = $q + $dt_invend['ivatotal'];
					$jiu = ($q +$p)-$sbt;
					$nk = $nk + $dt_invend['proteina'];
					$kjo = $kjo + $dt_invend['costo'];
					$dfg = $dfg + $dt_invend['total'];
				if(isset($_POST['terminarCaptura'])){
		$ssql = mysqli_query($con ,"UPDATE ftarifas SET gtotal = '".$kjo."' WHERE n_reg = '".n_reg."'");
		}else{
		}
				}
				
		}
		echo '
			<tr>
			<td colspan="3" class="inputcodigo"><div align="right">TOTAL: &nbsp;</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($kjo,2,'.',',').'</div></td>
			
			
			</tr>';		
		
	?>
    <tr>
      <th colspan="9"><div align="center">
        <input name="terminarCaptura" type="submit" class="bot_WsW" id="terminarCaptura" value="Guardar">
      </div></th>
    </tr>
  </table>
  <p>&nbsp;</p>
</form>
</body>
</html>
<?php
 mysqli_close($con);?>
